Summary:	Next generation initrd image generator
Name:		dracut
Version:	010
Release:	%mkrel 6
Group:		System/Base
License:	GPLv2+
URL:		http://apps.sourceforge.net/trac/dracut/wiki
Source0:	http://downloads.sourceforge.net/project/dracut/%{name}-%{version}.tar.bz2
Source3:	50-dracut-mandriva.conf
# (bor) mdv-specific fixes
Patch0:		dracut-004-mdv.patch
# (bor) Restore original Mandriva behaviour of adding bootchart if RPM is installed.
Patch1:		dracut-007-undisable_bootchart.patch
# (bor) compatibility with mkinitrd
Patch15:	dracut-010-mkinitrd.patch
# (bor) Add support for KEYTABLE to dynamically determine whether to install UNICODE or non-UNICODE keymap version.
Patch19:	dracut-008-fix_unicode_keytable.patch
Patch21:	dracut-007-aufs-mount.patch
# (bor) pass flag that dracut was started to systemd (GIT)
Patch22:	dracut-010-plymouth-touch-dev-systemd-plymouth.patch
# (anssi) handle gzip compressed KMS kernel modules
Patch26:	dracut-010-plymouth-compressed-kmod.patch
Patch100:       dracut-010-rosa-livecdfix.patch
Patch101:       dracut.error.workaround.patch
Requires:	filesystem
Requires:	udev
Requires:	util-linux-ng
Requires:	module-init-tools
Requires:	e2fsprogs
Requires:	cpio
Requires:	coreutils
Requires:	findutils
Requires:	binutils
Requires:	grep
Requires:	mktemp
Requires:	mount
Requires:	bash
Requires:	dash
Requires:	kbd
Requires:	tar
Requires:	gzip
Requires:	bzip2
Requires:	file
Requires:	module-init-tools
Requires:	bridge-utils
Requires:	initscripts
Requires(pre):	plymouth
Requires:	plymouth
Requires:	plymouth(system-theme)
Requires:	bootloader-utils
Requires(post,postun):	update-alternatives
Conflicts:	mkinitrd < 6.0.93-%manbo_mkrel 10
Conflicts:	nash < 6.0.93-%manbo_mkrel 11
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	docbook-dtd45-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	xsltproc

%description
Event driven initrd image generator based around udev.

%prep
%setup -q
%patch0 -p1 -b .mdv.orig
%patch1 -p1 -b .undisable_bootchart.orig
%patch15 -p1 -b .mkinitrd.orig
%patch19 -p1 -b .fix_unicode_keytable.orig
%patch21 -p1 
%patch22 -p1 
%patch26 -p1
%patch100 -p1
%patch101 -p1
%build
export CFLAGS="%{optflags}"
%make

%install
rm -rf %{buildroot}
%makeinstall_std sbindir=/sbin sysconfdir=%{_sysconfdir} mandir=%{_mandir}

install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/dracut.conf.d

# bluca remove patch backup files
find %{buildroot} -name \*.\*.orig -exec rm {} \;

# fix permission of module files
chmod +x %{buildroot}%{_datadir}/dracut/modules.d/*/*.sh
chmod +x %{buildroot}%{_datadir}/dracut/modules.d/99aufs-mount/install

mkdir -p %{buildroot}/boot/dracut
mkdir -p %{buildroot}%{_var}/lib/dracut/overlay

mv %{buildroot}/sbin/lsinitrd %{buildroot}/sbin/lsinitrd-dracut
mv %{buildroot}/sbin/mkinitrd %{buildroot}/sbin/mkinitrd-dracut

cat > README.urpmi << EOF
dracut is the default mkinitrd replacement in mandriva

If you relly want to use old mkinitrd instead of dracut run
update-alternatives --set mkinitrd /sbin/mkinitrd-mkinitrd
EOF

%clean
rm -rf %{buildroot}

%post
update-alternatives --install /sbin/mkinitrd mkinitrd /sbin/mkinitrd-dracut 110 || :
update-alternatives --install /sbin/lsinitrd lsinitrd /sbin/lsinitrd-dracut 110 || :

%postun
[ ! -e /sbin/mkinitrd-dracut ] && update-alternatives --remove mkinitrd /sbin/mkinitrd-dracut || :
[ ! -e /sbin/lsinitrd-dracut ] && update-alternatives --remove lsinitrd /sbin/lsinitrd-dracut || :

%files
%defattr(-,root,root)
%doc README.generic README.modules README.kernel HACKING TODO AUTHORS 
%doc README.urpmi
%dir /boot/dracut
%dir %{_datadir}/dracut
%dir %{_var}/lib/dracut
%dir %{_var}/lib/dracut/overlay
%config(noreplace) %{_sysconfdir}/dracut.conf
%dir %{_sysconfdir}/dracut.conf.d
%{_sysconfdir}/dracut.conf.d/50-dracut-mandriva.conf
/sbin/dracut
/sbin/dracut-gencmdline
/sbin/dracut-catimages
/sbin/lsinitrd-dracut
/sbin/mkinitrd-dracut
%{_datadir}/dracut/dracut-functions
%{_datadir}/dracut/modules.d
%{_datadir}/dracut/dracut-logger
%{_mandir}/man8/dracut*.8*
%{_mandir}/man7/dracut.kernel.7*
%{_mandir}/man5/dracut.conf.5*


%changelog
* Tue Jun 28 2011 Alex Burmashev <burmashev@mandriva.org> 010-6mdv2011.0
+ Revision: 687677
- Temporarily enabled livecd patch to boot RC1 images

* Wed Jun 15 2011 Luca Berra <bluca@mandriva.org> 010-5
+ Revision: 685375
- removed P100 (dracut-010-rosa-livecdfix.patch) which broke dracut
- make dracut the default mkinitrd program

* Mon Apr 18 2011 Alex Burmashev <burmashev@mandriva.org> 010-4
+ Revision: 655817
- Fix for dracut initrd creation
- workaround release up
- a very bad workaround

* Mon Apr 18 2011 Anssi Hannula <anssi@mandriva.org> 010-2
+ Revision: 654813
- fix a typo introduced in patch rediff of previous commit

* Sun Apr 17 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 010-1
+ Revision: 654778
- update to new version 010
- rediff patches 5, 22, 26 and 100
- drop patches 23, 24 and 25
- fix file list

* Sun Apr 17 2011 Anssi Hannula <anssi@mandriva.org> 008-6
+ Revision: 654052
- handle gzip compressed KMS kernel modules

* Mon Mar 14 2011 Alex Burmashev <burmashev@mandriva.org> 008-5
+ Revision: 644610
- Fixed aufs mount patch

* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 008-4
+ Revision: 640430
- rebuild to obsolete old packages

* Sat Feb 19 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 008-3
+ Revision: 638675
- P25: fix P24 (submitted upstream)

* Sat Feb 19 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 008-2
+ Revision: 638631
- P24: default to UTF-8 on console unless disabled (GIT)
- P23: fix i18n parsing in hostonly mode (GIT)
- P22: create flag if plymouth was started (GIT)
- P19: fix typo

* Thu Feb 17 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 008-1
+ Revision: 638264
- S3: update for new i18n module
- simplify P15

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Update patches to dracut 008 api.
      Drop P18 and P20, no longer needed.

* Wed Jan 26 2011 Eugeni Dodonov <eugeni@mandriva.com> 007-6
+ Revision: 633069
- P21: add support for mounting aufs (Ivan Milov <ivan.milov@rosalab.ru>)
- P100: add support for building live iso images (Andrew Shubar <andrew.shubin@rosalab.ru>)

* Sun Sep 05 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 007-3mdv2011.0
+ Revision: 576017
- Patch20: add path check for rsyslog libraries

* Wed Aug 11 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 007-2mdv2011.0
+ Revision: 569111
- patch19 and source3: fix unicode keymap with new i18n module
- patch18: fix bootchart module installation
- patch1: revert to original behaviour - install when bootchart RPM
  is present
- do not unconditionally enable bootchart
- add source3 - default mandriva config. For now it enabled bootchart
- delete source1, source2 - redundant, already included upstream

* Mon Aug 09 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 007-1mdv2011.0
+ Revision: 568172
- package dracut.kernel(7) man page
- add BuildRequires for new man page generation from XML source
- remove patches 1, 16, 17 - integrated upstream
- new version

* Thu Aug 05 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 006-3mdv2011.0
+ Revision: 566440
- patch17: fix ahci detection in kernel 2.6.35

* Wed Aug 04 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 006-2mdv2011.0
+ Revision: 565664
- patch16: fix modules check in hostonly mode

* Sat Jul 10 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 006-1mdv2011.0
+ Revision: 550022
- new version; rebase patches

* Mon Mar 22 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 005-1mdv2010.1
+ Revision: 526382
- remove patches 2, 999 - merged upstream
- new version

* Fri Mar 19 2010 Frederic Crozat <fcrozat@mandriva.com> 004-6mdv2010.1
+ Revision: 525289
- Add source1/2 : add support for bootchart2

* Sun Mar 07 2010 Luca Berra <bluca@mandriva.org> 004-5mdv2010.1
+ Revision: 515443
- update to latest git
- remove patches merged upstream
- add two patches not yet merged

* Mon Mar 01 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 004-4mdv2010.1
+ Revision: 512870
- patch17: fix boot without resume= (#57924)
- update patch16 with official upstream version

* Mon Mar 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 004-3mdv2010.1
+ Revision: 512825
- Patch16: check for multipath existence, if not then die (mdvbz #57919)

  + Andrey Borzenkov <arvidjaar@mandriva.org>
    - change postun for compliance with alternatives policy

* Sat Feb 06 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 004-2mdv2010.1
+ Revision: 501426
- add alternatives for lsinitrd

  + Jani Välimaa <wally@mandriva.org>
    - escape 'uname -r' in README.urpmi

* Tue Feb 02 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 004-1mdv2010.1
+ Revision: 499727
- package new man pages and lsinitrd-dracut
- patch15: mkinitrd-dracut; remove it as source1 (it is now upstream)
- remove patches 1-12: integrated upstream
- new version

* Sun Jan 31 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 003-6mdv2010.1
+ Revision: 498683
- patch14: pass init arguments from commmand line to real init

* Sun Jan 17 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 003-5mdv2010.1
+ Revision: 492577
- patch13: fix firmware loading with current udev

* Sun Jan 10 2010 Luca Berra <bluca@mandriva.org> 003-4mdv2010.1
+ Revision: 488601
- add support for uswsuspend from Andrey
- ensure module scripts are executable

* Sat Jan 09 2010 Luca Berra <bluca@mandriva.org> 003-3mdv2010.1
+ Revision: 487939
- use alternatives for mkinitrd-dracut, and conflict with mkinitrd < mkinitrd-6.0.93-10mnb2
- remove -H from mkinitrd-dracut, it is better left in the configuration file
- modify the default configuration file to enable host-only mode and add some generic ata drivers.
- add console unicode patch from Andrey

* Tue Dec 29 2009 Luca Berra <bluca@mandriva.org> 003-2mdv2010.1
+ Revision: 483256
- split mdv patch, change terminfo and kbd patches in order to push upstream
- install umount when needed
- disable selinux
- fix standard error in emergency shell and set prompt to indicate what stage we are
- include patches from git
 - multipath: supress warnings, if multipath not installed on system
 - cryptroot-ask.sh:  s/==/=/g (bug #542081)
 - plymouth-pretrigger: force initializing of console (bug #526570)

* Mon Dec 28 2009 Luca Berra <bluca@mandriva.org> 003-1mdv2010.1
+ Revision: 483155
- added wrapper to emulate mkinitrd syntax
- honor add_drivers when making an host-only initrd
- add support for compressed kernel modules
- build fixes

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 003

* Thu Nov 12 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 002-4mdv2010.1
+ Revision: 465469
- set requires(pre) on plymouth

* Fri Oct 09 2009 Frederic Crozat <fcrozat@mandriva.com> 002-3mdv2010.0
+ Revision: 456372
- Fix README.urpmi

* Thu Oct 08 2009 Frederic Crozat <fcrozat@mandriva.com> 002-2mdv2010.0
+ Revision: 456028
- Do no rely on old plymouth-theme-mdv

* Fri Sep 18 2009 Frederic Crozat <fcrozat@mandriva.com> 002-1mdv2010.0
+ Revision: 444370
- Release 002
- Remove merged patches

* Mon Sep 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 001-2mdv2010.0
+ Revision: 432951
- Patch0: one more fix

* Mon Sep 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 001-1mdv2010.0
+ Revision: 432801
- update to new version 001
- Patch0: rediff
- add three patches from Fedora
- update to new version 001

* Sun Aug 30 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9-1mdv2010.0
+ Revision: 422367
- update to new version 0.9
- rediff patch0
- add more critical requires

* Thu Aug 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7-2mdv2010.0
+ Revision: 421772
- switch_root is conflicting against util-linux-ng one, so remove it
- Patch0: adapt scripts to mdv specifications
- make it noarch (because switch_root is gone)
- provide REAME.urpmi

* Thu Aug 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7-1mdv2010.0
+ Revision: 421733
- import dracut

